Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network142.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
142.0.0.0
Broadcast address
142.255.255.255
First usable
142.0.0.1
Last usable
142.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 8E000000 · Integer 2382364672 to 2399141887
Reverse DNS zone
142.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001110..00000000.00000000.00000000142.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10001110..00000000.00000000.00000000142.0.0.0
Broadcast10001110..11111111.11111111.11111111142.255.255.255
Split into smaller subnets/17

142.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1142.0.0.0/17142.0.0.1 to 142.0.127.254142.0.127.25532,766
2142.0.128.0/17142.0.128.1 to 142.0.255.254142.0.255.25532,766
3142.1.0.0/17142.1.0.1 to 142.1.127.254142.1.127.25532,766
4142.1.128.0/17142.1.128.1 to 142.1.255.254142.1.255.25532,766
5142.2.0.0/17142.2.0.1 to 142.2.127.254142.2.127.25532,766
6142.2.128.0/17142.2.128.1 to 142.2.255.254142.2.255.25532,766
7142.3.0.0/17142.3.0.1 to 142.3.127.254142.3.127.25532,766
8142.3.128.0/17142.3.128.1 to 142.3.255.254142.3.255.25532,766
9142.4.0.0/17142.4.0.1 to 142.4.127.254142.4.127.25532,766
10142.4.128.0/17142.4.128.1 to 142.4.255.254142.4.255.25532,766
11142.5.0.0/17142.5.0.1 to 142.5.127.254142.5.127.25532,766
12142.5.128.0/17142.5.128.1 to 142.5.255.254142.5.255.25532,766
13142.6.0.0/17142.6.0.1 to 142.6.127.254142.6.127.25532,766
14142.6.128.0/17142.6.128.1 to 142.6.255.254142.6.255.25532,766
15142.7.0.0/17142.7.0.1 to 142.7.127.254142.7.127.25532,766
16142.7.128.0/17142.7.128.1 to 142.7.255.254142.7.255.25532,766
17142.8.0.0/17142.8.0.1 to 142.8.127.254142.8.127.25532,766
18142.8.128.0/17142.8.128.1 to 142.8.255.254142.8.255.25532,766
19142.9.0.0/17142.9.0.1 to 142.9.127.254142.9.127.25532,766
20142.9.128.0/17142.9.128.1 to 142.9.255.254142.9.255.25532,766
21142.10.0.0/17142.10.0.1 to 142.10.127.254142.10.127.25532,766
22142.10.128.0/17142.10.128.1 to 142.10.255.254142.10.255.25532,766
23142.11.0.0/17142.11.0.1 to 142.11.127.254142.11.127.25532,766
24142.11.128.0/17142.11.128.1 to 142.11.255.254142.11.255.25532,766
25142.12.0.0/17142.12.0.1 to 142.12.127.254142.12.127.25532,766
26142.12.128.0/17142.12.128.1 to 142.12.255.254142.12.255.25532,766
27142.13.0.0/17142.13.0.1 to 142.13.127.254142.13.127.25532,766
28142.13.128.0/17142.13.128.1 to 142.13.255.254142.13.255.25532,766
29142.14.0.0/17142.14.0.1 to 142.14.127.254142.14.127.25532,766
30142.14.128.0/17142.14.128.1 to 142.14.255.254142.14.255.25532,766
31142.15.0.0/17142.15.0.1 to 142.15.127.254142.15.127.25532,766
32142.15.128.0/17142.15.128.1 to 142.15.255.254142.15.255.25532,766
33142.16.0.0/17142.16.0.1 to 142.16.127.254142.16.127.25532,766
34142.16.128.0/17142.16.128.1 to 142.16.255.254142.16.255.25532,766
35142.17.0.0/17142.17.0.1 to 142.17.127.254142.17.127.25532,766
36142.17.128.0/17142.17.128.1 to 142.17.255.254142.17.255.25532,766
37142.18.0.0/17142.18.0.1 to 142.18.127.254142.18.127.25532,766
38142.18.128.0/17142.18.128.1 to 142.18.255.254142.18.255.25532,766
39142.19.0.0/17142.19.0.1 to 142.19.127.254142.19.127.25532,766
40142.19.128.0/17142.19.128.1 to 142.19.255.254142.19.255.25532,766
41142.20.0.0/17142.20.0.1 to 142.20.127.254142.20.127.25532,766
42142.20.128.0/17142.20.128.1 to 142.20.255.254142.20.255.25532,766
43142.21.0.0/17142.21.0.1 to 142.21.127.254142.21.127.25532,766
44142.21.128.0/17142.21.128.1 to 142.21.255.254142.21.255.25532,766
45142.22.0.0/17142.22.0.1 to 142.22.127.254142.22.127.25532,766
46142.22.128.0/17142.22.128.1 to 142.22.255.254142.22.255.25532,766
47142.23.0.0/17142.23.0.1 to 142.23.127.254142.23.127.25532,766
48142.23.128.0/17142.23.128.1 to 142.23.255.254142.23.255.25532,766
49142.24.0.0/17142.24.0.1 to 142.24.127.254142.24.127.25532,766
50142.24.128.0/17142.24.128.1 to 142.24.255.254142.24.255.25532,766
51142.25.0.0/17142.25.0.1 to 142.25.127.254142.25.127.25532,766
52142.25.128.0/17142.25.128.1 to 142.25.255.254142.25.255.25532,766
53142.26.0.0/17142.26.0.1 to 142.26.127.254142.26.127.25532,766
54142.26.128.0/17142.26.128.1 to 142.26.255.254142.26.255.25532,766
55142.27.0.0/17142.27.0.1 to 142.27.127.254142.27.127.25532,766
56142.27.128.0/17142.27.128.1 to 142.27.255.254142.27.255.25532,766
57142.28.0.0/17142.28.0.1 to 142.28.127.254142.28.127.25532,766
58142.28.128.0/17142.28.128.1 to 142.28.255.254142.28.255.25532,766
59142.29.0.0/17142.29.0.1 to 142.29.127.254142.29.127.25532,766
60142.29.128.0/17142.29.128.1 to 142.29.255.254142.29.255.25532,766
61142.30.0.0/17142.30.0.1 to 142.30.127.254142.30.127.25532,766
62142.30.128.0/17142.30.128.1 to 142.30.255.254142.30.255.25532,766
63142.31.0.0/17142.31.0.1 to 142.31.127.254142.31.127.25532,766
64142.31.128.0/17142.31.128.1 to 142.31.255.254142.31.255.25532,766
65142.32.0.0/17142.32.0.1 to 142.32.127.254142.32.127.25532,766
66142.32.128.0/17142.32.128.1 to 142.32.255.254142.32.255.25532,766
67142.33.0.0/17142.33.0.1 to 142.33.127.254142.33.127.25532,766
68142.33.128.0/17142.33.128.1 to 142.33.255.254142.33.255.25532,766
69142.34.0.0/17142.34.0.1 to 142.34.127.254142.34.127.25532,766
70142.34.128.0/17142.34.128.1 to 142.34.255.254142.34.255.25532,766
71142.35.0.0/17142.35.0.1 to 142.35.127.254142.35.127.25532,766
72142.35.128.0/17142.35.128.1 to 142.35.255.254142.35.255.25532,766
73142.36.0.0/17142.36.0.1 to 142.36.127.254142.36.127.25532,766
74142.36.128.0/17142.36.128.1 to 142.36.255.254142.36.255.25532,766
75142.37.0.0/17142.37.0.1 to 142.37.127.254142.37.127.25532,766
76142.37.128.0/17142.37.128.1 to 142.37.255.254142.37.255.25532,766
77142.38.0.0/17142.38.0.1 to 142.38.127.254142.38.127.25532,766
78142.38.128.0/17142.38.128.1 to 142.38.255.254142.38.255.25532,766
79142.39.0.0/17142.39.0.1 to 142.39.127.254142.39.127.25532,766
80142.39.128.0/17142.39.128.1 to 142.39.255.254142.39.255.25532,766
81142.40.0.0/17142.40.0.1 to 142.40.127.254142.40.127.25532,766
82142.40.128.0/17142.40.128.1 to 142.40.255.254142.40.255.25532,766
83142.41.0.0/17142.41.0.1 to 142.41.127.254142.41.127.25532,766
84142.41.128.0/17142.41.128.1 to 142.41.255.254142.41.255.25532,766
85142.42.0.0/17142.42.0.1 to 142.42.127.254142.42.127.25532,766
86142.42.128.0/17142.42.128.1 to 142.42.255.254142.42.255.25532,766
87142.43.0.0/17142.43.0.1 to 142.43.127.254142.43.127.25532,766
88142.43.128.0/17142.43.128.1 to 142.43.255.254142.43.255.25532,766
89142.44.0.0/17142.44.0.1 to 142.44.127.254142.44.127.25532,766
90142.44.128.0/17142.44.128.1 to 142.44.255.254142.44.255.25532,766
91142.45.0.0/17142.45.0.1 to 142.45.127.254142.45.127.25532,766
92142.45.128.0/17142.45.128.1 to 142.45.255.254142.45.255.25532,766
93142.46.0.0/17142.46.0.1 to 142.46.127.254142.46.127.25532,766
94142.46.128.0/17142.46.128.1 to 142.46.255.254142.46.255.25532,766
95142.47.0.0/17142.47.0.1 to 142.47.127.254142.47.127.25532,766
96142.47.128.0/17142.47.128.1 to 142.47.255.254142.47.255.25532,766
97142.48.0.0/17142.48.0.1 to 142.48.127.254142.48.127.25532,766
98142.48.128.0/17142.48.128.1 to 142.48.255.254142.48.255.25532,766
99142.49.0.0/17142.49.0.1 to 142.49.127.254142.49.127.25532,766
100142.49.128.0/17142.49.128.1 to 142.49.255.254142.49.255.25532,766
101142.50.0.0/17142.50.0.1 to 142.50.127.254142.50.127.25532,766
102142.50.128.0/17142.50.128.1 to 142.50.255.254142.50.255.25532,766
103142.51.0.0/17142.51.0.1 to 142.51.127.254142.51.127.25532,766
104142.51.128.0/17142.51.128.1 to 142.51.255.254142.51.255.25532,766
105142.52.0.0/17142.52.0.1 to 142.52.127.254142.52.127.25532,766
106142.52.128.0/17142.52.128.1 to 142.52.255.254142.52.255.25532,766
107142.53.0.0/17142.53.0.1 to 142.53.127.254142.53.127.25532,766
108142.53.128.0/17142.53.128.1 to 142.53.255.254142.53.255.25532,766
109142.54.0.0/17142.54.0.1 to 142.54.127.254142.54.127.25532,766
110142.54.128.0/17142.54.128.1 to 142.54.255.254142.54.255.25532,766
111142.55.0.0/17142.55.0.1 to 142.55.127.254142.55.127.25532,766
112142.55.128.0/17142.55.128.1 to 142.55.255.254142.55.255.25532,766
113142.56.0.0/17142.56.0.1 to 142.56.127.254142.56.127.25532,766
114142.56.128.0/17142.56.128.1 to 142.56.255.254142.56.255.25532,766
115142.57.0.0/17142.57.0.1 to 142.57.127.254142.57.127.25532,766
116142.57.128.0/17142.57.128.1 to 142.57.255.254142.57.255.25532,766
117142.58.0.0/17142.58.0.1 to 142.58.127.254142.58.127.25532,766
118142.58.128.0/17142.58.128.1 to 142.58.255.254142.58.255.25532,766
119142.59.0.0/17142.59.0.1 to 142.59.127.254142.59.127.25532,766
120142.59.128.0/17142.59.128.1 to 142.59.255.254142.59.255.25532,766
121142.60.0.0/17142.60.0.1 to 142.60.127.254142.60.127.25532,766
122142.60.128.0/17142.60.128.1 to 142.60.255.254142.60.255.25532,766
123142.61.0.0/17142.61.0.1 to 142.61.127.254142.61.127.25532,766
124142.61.128.0/17142.61.128.1 to 142.61.255.254142.61.255.25532,766
125142.62.0.0/17142.62.0.1 to 142.62.127.254142.62.127.25532,766
126142.62.128.0/17142.62.128.1 to 142.62.255.254142.62.255.25532,766
127142.63.0.0/17142.63.0.1 to 142.63.127.254142.63.127.25532,766
128142.63.128.0/17142.63.128.1 to 142.63.255.254142.63.255.25532,766
129142.64.0.0/17142.64.0.1 to 142.64.127.254142.64.127.25532,766
130142.64.128.0/17142.64.128.1 to 142.64.255.254142.64.255.25532,766
131142.65.0.0/17142.65.0.1 to 142.65.127.254142.65.127.25532,766
132142.65.128.0/17142.65.128.1 to 142.65.255.254142.65.255.25532,766
133142.66.0.0/17142.66.0.1 to 142.66.127.254142.66.127.25532,766
134142.66.128.0/17142.66.128.1 to 142.66.255.254142.66.255.25532,766
135142.67.0.0/17142.67.0.1 to 142.67.127.254142.67.127.25532,766
136142.67.128.0/17142.67.128.1 to 142.67.255.254142.67.255.25532,766
137142.68.0.0/17142.68.0.1 to 142.68.127.254142.68.127.25532,766
138142.68.128.0/17142.68.128.1 to 142.68.255.254142.68.255.25532,766
139142.69.0.0/17142.69.0.1 to 142.69.127.254142.69.127.25532,766
140142.69.128.0/17142.69.128.1 to 142.69.255.254142.69.255.25532,766
141142.70.0.0/17142.70.0.1 to 142.70.127.254142.70.127.25532,766
142142.70.128.0/17142.70.128.1 to 142.70.255.254142.70.255.25532,766
143142.71.0.0/17142.71.0.1 to 142.71.127.254142.71.127.25532,766
144142.71.128.0/17142.71.128.1 to 142.71.255.254142.71.255.25532,766
145142.72.0.0/17142.72.0.1 to 142.72.127.254142.72.127.25532,766
146142.72.128.0/17142.72.128.1 to 142.72.255.254142.72.255.25532,766
147142.73.0.0/17142.73.0.1 to 142.73.127.254142.73.127.25532,766
148142.73.128.0/17142.73.128.1 to 142.73.255.254142.73.255.25532,766
149142.74.0.0/17142.74.0.1 to 142.74.127.254142.74.127.25532,766
150142.74.128.0/17142.74.128.1 to 142.74.255.254142.74.255.25532,766
151142.75.0.0/17142.75.0.1 to 142.75.127.254142.75.127.25532,766
152142.75.128.0/17142.75.128.1 to 142.75.255.254142.75.255.25532,766
153142.76.0.0/17142.76.0.1 to 142.76.127.254142.76.127.25532,766
154142.76.128.0/17142.76.128.1 to 142.76.255.254142.76.255.25532,766
155142.77.0.0/17142.77.0.1 to 142.77.127.254142.77.127.25532,766
156142.77.128.0/17142.77.128.1 to 142.77.255.254142.77.255.25532,766
157142.78.0.0/17142.78.0.1 to 142.78.127.254142.78.127.25532,766
158142.78.128.0/17142.78.128.1 to 142.78.255.254142.78.255.25532,766
159142.79.0.0/17142.79.0.1 to 142.79.127.254142.79.127.25532,766
160142.79.128.0/17142.79.128.1 to 142.79.255.254142.79.255.25532,766
161142.80.0.0/17142.80.0.1 to 142.80.127.254142.80.127.25532,766
162142.80.128.0/17142.80.128.1 to 142.80.255.254142.80.255.25532,766
163142.81.0.0/17142.81.0.1 to 142.81.127.254142.81.127.25532,766
164142.81.128.0/17142.81.128.1 to 142.81.255.254142.81.255.25532,766
165142.82.0.0/17142.82.0.1 to 142.82.127.254142.82.127.25532,766
166142.82.128.0/17142.82.128.1 to 142.82.255.254142.82.255.25532,766
167142.83.0.0/17142.83.0.1 to 142.83.127.254142.83.127.25532,766
168142.83.128.0/17142.83.128.1 to 142.83.255.254142.83.255.25532,766
169142.84.0.0/17142.84.0.1 to 142.84.127.254142.84.127.25532,766
170142.84.128.0/17142.84.128.1 to 142.84.255.254142.84.255.25532,766
171142.85.0.0/17142.85.0.1 to 142.85.127.254142.85.127.25532,766
172142.85.128.0/17142.85.128.1 to 142.85.255.254142.85.255.25532,766
173142.86.0.0/17142.86.0.1 to 142.86.127.254142.86.127.25532,766
174142.86.128.0/17142.86.128.1 to 142.86.255.254142.86.255.25532,766
175142.87.0.0/17142.87.0.1 to 142.87.127.254142.87.127.25532,766
176142.87.128.0/17142.87.128.1 to 142.87.255.254142.87.255.25532,766
177142.88.0.0/17142.88.0.1 to 142.88.127.254142.88.127.25532,766
178142.88.128.0/17142.88.128.1 to 142.88.255.254142.88.255.25532,766
179142.89.0.0/17142.89.0.1 to 142.89.127.254142.89.127.25532,766
180142.89.128.0/17142.89.128.1 to 142.89.255.254142.89.255.25532,766
181142.90.0.0/17142.90.0.1 to 142.90.127.254142.90.127.25532,766
182142.90.128.0/17142.90.128.1 to 142.90.255.254142.90.255.25532,766
183142.91.0.0/17142.91.0.1 to 142.91.127.254142.91.127.25532,766
184142.91.128.0/17142.91.128.1 to 142.91.255.254142.91.255.25532,766
185142.92.0.0/17142.92.0.1 to 142.92.127.254142.92.127.25532,766
186142.92.128.0/17142.92.128.1 to 142.92.255.254142.92.255.25532,766
187142.93.0.0/17142.93.0.1 to 142.93.127.254142.93.127.25532,766
188142.93.128.0/17142.93.128.1 to 142.93.255.254142.93.255.25532,766
189142.94.0.0/17142.94.0.1 to 142.94.127.254142.94.127.25532,766
190142.94.128.0/17142.94.128.1 to 142.94.255.254142.94.255.25532,766
191142.95.0.0/17142.95.0.1 to 142.95.127.254142.95.127.25532,766
192142.95.128.0/17142.95.128.1 to 142.95.255.254142.95.255.25532,766
193142.96.0.0/17142.96.0.1 to 142.96.127.254142.96.127.25532,766
194142.96.128.0/17142.96.128.1 to 142.96.255.254142.96.255.25532,766
195142.97.0.0/17142.97.0.1 to 142.97.127.254142.97.127.25532,766
196142.97.128.0/17142.97.128.1 to 142.97.255.254142.97.255.25532,766
197142.98.0.0/17142.98.0.1 to 142.98.127.254142.98.127.25532,766
198142.98.128.0/17142.98.128.1 to 142.98.255.254142.98.255.25532,766
199142.99.0.0/17142.99.0.1 to 142.99.127.254142.99.127.25532,766
200142.99.128.0/17142.99.128.1 to 142.99.255.254142.99.255.25532,766
201142.100.0.0/17142.100.0.1 to 142.100.127.254142.100.127.25532,766
202142.100.128.0/17142.100.128.1 to 142.100.255.254142.100.255.25532,766
203142.101.0.0/17142.101.0.1 to 142.101.127.254142.101.127.25532,766
204142.101.128.0/17142.101.128.1 to 142.101.255.254142.101.255.25532,766
205142.102.0.0/17142.102.0.1 to 142.102.127.254142.102.127.25532,766
206142.102.128.0/17142.102.128.1 to 142.102.255.254142.102.255.25532,766
207142.103.0.0/17142.103.0.1 to 142.103.127.254142.103.127.25532,766
208142.103.128.0/17142.103.128.1 to 142.103.255.254142.103.255.25532,766
209142.104.0.0/17142.104.0.1 to 142.104.127.254142.104.127.25532,766
210142.104.128.0/17142.104.128.1 to 142.104.255.254142.104.255.25532,766
211142.105.0.0/17142.105.0.1 to 142.105.127.254142.105.127.25532,766
212142.105.128.0/17142.105.128.1 to 142.105.255.254142.105.255.25532,766
213142.106.0.0/17142.106.0.1 to 142.106.127.254142.106.127.25532,766
214142.106.128.0/17142.106.128.1 to 142.106.255.254142.106.255.25532,766
215142.107.0.0/17142.107.0.1 to 142.107.127.254142.107.127.25532,766
216142.107.128.0/17142.107.128.1 to 142.107.255.254142.107.255.25532,766
217142.108.0.0/17142.108.0.1 to 142.108.127.254142.108.127.25532,766
218142.108.128.0/17142.108.128.1 to 142.108.255.254142.108.255.25532,766
219142.109.0.0/17142.109.0.1 to 142.109.127.254142.109.127.25532,766
220142.109.128.0/17142.109.128.1 to 142.109.255.254142.109.255.25532,766
221142.110.0.0/17142.110.0.1 to 142.110.127.254142.110.127.25532,766
222142.110.128.0/17142.110.128.1 to 142.110.255.254142.110.255.25532,766
223142.111.0.0/17142.111.0.1 to 142.111.127.254142.111.127.25532,766
224142.111.128.0/17142.111.128.1 to 142.111.255.254142.111.255.25532,766
225142.112.0.0/17142.112.0.1 to 142.112.127.254142.112.127.25532,766
226142.112.128.0/17142.112.128.1 to 142.112.255.254142.112.255.25532,766
227142.113.0.0/17142.113.0.1 to 142.113.127.254142.113.127.25532,766
228142.113.128.0/17142.113.128.1 to 142.113.255.254142.113.255.25532,766
229142.114.0.0/17142.114.0.1 to 142.114.127.254142.114.127.25532,766
230142.114.128.0/17142.114.128.1 to 142.114.255.254142.114.255.25532,766
231142.115.0.0/17142.115.0.1 to 142.115.127.254142.115.127.25532,766
232142.115.128.0/17142.115.128.1 to 142.115.255.254142.115.255.25532,766
233142.116.0.0/17142.116.0.1 to 142.116.127.254142.116.127.25532,766
234142.116.128.0/17142.116.128.1 to 142.116.255.254142.116.255.25532,766
235142.117.0.0/17142.117.0.1 to 142.117.127.254142.117.127.25532,766
236142.117.128.0/17142.117.128.1 to 142.117.255.254142.117.255.25532,766
237142.118.0.0/17142.118.0.1 to 142.118.127.254142.118.127.25532,766
238142.118.128.0/17142.118.128.1 to 142.118.255.254142.118.255.25532,766
239142.119.0.0/17142.119.0.1 to 142.119.127.254142.119.127.25532,766
240142.119.128.0/17142.119.128.1 to 142.119.255.254142.119.255.25532,766
241142.120.0.0/17142.120.0.1 to 142.120.127.254142.120.127.25532,766
242142.120.128.0/17142.120.128.1 to 142.120.255.254142.120.255.25532,766
243142.121.0.0/17142.121.0.1 to 142.121.127.254142.121.127.25532,766
244142.121.128.0/17142.121.128.1 to 142.121.255.254142.121.255.25532,766
245142.122.0.0/17142.122.0.1 to 142.122.127.254142.122.127.25532,766
246142.122.128.0/17142.122.128.1 to 142.122.255.254142.122.255.25532,766
247142.123.0.0/17142.123.0.1 to 142.123.127.254142.123.127.25532,766
248142.123.128.0/17142.123.128.1 to 142.123.255.254142.123.255.25532,766
249142.124.0.0/17142.124.0.1 to 142.124.127.254142.124.127.25532,766
250142.124.128.0/17142.124.128.1 to 142.124.255.254142.124.255.25532,766
251142.125.0.0/17142.125.0.1 to 142.125.127.254142.125.127.25532,766
252142.125.128.0/17142.125.128.1 to 142.125.255.254142.125.255.25532,766
253142.126.0.0/17142.126.0.1 to 142.126.127.254142.126.127.25532,766
254142.126.128.0/17142.126.128.1 to 142.126.255.254142.126.255.25532,766
255142.127.0.0/17142.127.0.1 to 142.127.127.254142.127.127.25532,766
256142.127.128.0/17142.127.128.1 to 142.127.255.254142.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses